Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitDataSet Class Reference

`#include <vtkImplicitDataSet.h>`

Inheritance diagram for vtkImplicitDataSet:

[legend]
Collaboration diagram for vtkImplicitDataSet:

[legend]
List of all members.

## Detailed Description

treat a dataset as if it were an implicit function

Date:
  2002/10/04 20:43:44

Revision:
  1.26

vtkImplicitDataSet treats any type of dataset as if it were an implicit function. This means it computes a function value and gradient. vtkImplicitDataSet is a concrete implementation of vtkImplicitFunction.

vtkImplicitDataSet computes the function (at the point x) by performing cell interpolation. That is, it finds the cell containing x, and then uses the cell's interpolation functions to compute an interpolated scalar value at x. (A similar approach is used to find the gradient, if requested.) Points outside of the dataset are assigned the value of the ivar OutValue, and the gradient value OutGradient.

Warning:
  Any type of dataset can be used as an implicit function as long as it has scalar data associated with it.

See also:
  vtkImplicitFunction vtkImplicitVolume vtkClipPolyData vtkCutter vtkImplicitWindowFunction

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (68%)
  - Lorensen, Bill (6%)
  - Cedilnik, Andy (5%)
  - Martin, Ken (5%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkImplicitDataSet.cxx)`
  - .`h` (`/Filtering/vtkImplicitDataSet.h)`

Tests:
  vtkImplicitDataSet (Tests)

Definition at line 66 of file vtkImplicitDataSet.h.

## Public Types
typedef vtkImplicitFunction | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
unsigned long | GetMTime ()
void | EvaluateGradient (float x[3], float n[3])
float | EvaluateFunction (float x[3])
float | EvaluateFunction (float x, float y, float z)
virtual void | SetDataSet (vtkDataSet *)
virtual vtkDataSet * | GetDataSet ()
virtual void | SetOutValue (float)
virtual float | GetOutValue ()
virtual void | SetOutGradient (float, float, float)
virtual void | SetOutGradient (float[3])
virtual float * | GetOutGradient ()
virtual void | GetOutGradient (float &, float &, float &)
virtual void | GetOutGradient (float[3])
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImplicitDataSet * | SafeDownCast (vtkObject *o)
vtkImplicitDataSet * | New ()
## Protected Methods
| vtkImplicitDataSet ()
| ~vtkImplicitDataSet ()
## Protected Attributes
vtkDataSet * | DataSet
float | OutValue
float | OutGradient [3]
float * | Weights
int | Size

## Member Typedef Documentation

typedef vtkImplicitFunction vtkImplicitDataSet::Superclass

| Reimplemented from vtkImplicitFunction. Definition at line 69 of file vtkImplicitDataSet.h.

## Constructor & Destructor Documentation

vtkImplicitDataSet::vtkImplicitDataSet | ( |  | ) | `[protected]`

vtkImplicitDataSet::~vtkImplicitDataSet | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImplicitDataSet::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImplicitFunction.

int vtkImplicitDataSet::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

virtual int vtkImplicitDataSet::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImplicitFunction.

vtkImplicitDataSet* vtkImplicitDataSet::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImplicitFunction.

void vtkImplicitDataSet::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImplicitFunction.

vtkImplicitDataSet* vtkImplicitDataSet::New | ( |  | ) | `[static]`

| Construct an vtkImplicitDataSet with no initial dataset; the OutValue set to a large negative number; and the OutGradient set to (0,0,1). Reimplemented from vtkObject.

unsigned long vtkImplicitDataSet::GetMTime | ( |  | ) | `[virtual]`

| Return the MTime also considering the DataSet dependency. Reimplemented from vtkImplicitFunction.

float vtkImplicitDataSet::EvaluateFunction | ( | float | x[3] | ) | `[virtual]`

| Evaluate the implicit function. This returns the interpolated scalar value at x[3]. Implements vtkImplicitFunction.

float vtkImplicitDataSet::EvaluateFunction | ( | float | x,
|  | float | y,
|  | float | z
| ) | `[inline]`

| Evaluate the implicit function. This returns the interpolated scalar value at x[3]. Reimplemented from vtkImplicitFunction. Definition at line 83 of file vtkImplicitDataSet.h. References vtkImplicitFunction::EvaluateFunction().

void vtkImplicitDataSet::EvaluateGradient | ( | float | x[3],
|  | float | n[3]
| ) | `[virtual]`

| Evaluate implicit function gradient. Implements vtkImplicitFunction.

virtual void vtkImplicitDataSet::SetDataSet | ( | vtkDataSet * |  | ) | `[virtual]`

| Set / get the dataset used for the implicit function evaluation.

virtual vtkDataSet* vtkImplicitDataSet::GetDataSet | ( |  | ) | `[virtual]`

| Set / get the dataset used for the implicit function evaluation.

virtual void vtkImplicitDataSet::SetOutValue | ( | float |  | ) | `[virtual]`

| Set / get the function value to use for points outside of the dataset.

virtual float vtkImplicitDataSet::GetOutValue | ( |  | ) | `[virtual]`

| Set / get the function value to use for points outside of the dataset.

virtual void vtkImplicitDataSet::SetOutGradient | ( | float | ,
|  | float | ,
|  | float |
| ) | `[virtual]`

| Set / get the function gradient to use for points outside of the dataset.

virtual void vtkImplicitDataSet::SetOutGradient | ( | float | [3] | ) | `[virtual]`

| Set / get the function gradient to use for points outside of the dataset.

virtual float* vtkImplicitDataSet::GetOutGradient | ( |  | ) | `[virtual]`

| Set / get the function gradient to use for points outside of the dataset.

virtual void vtkImplicitDataSet::GetOutGradient | ( | float & | ,
|  | float & | ,
|  | float & |
| ) | `[virtual]`

| Set / get the function gradient to use for points outside of the dataset.

virtual void vtkImplicitDataSet::GetOutGradient | ( | float | [3] | ) | `[virtual]`

| Set / get the function gradient to use for points outside of the dataset.

## Member Data Documentation

vtkDataSet* vtkImplicitDataSet::DataSet`[protected]`

| Definition at line 114 of file vtkImplicitDataSet.h.

float vtkImplicitDataSet::OutValue`[protected]`

| Definition at line 115 of file vtkImplicitDataSet.h.

float vtkImplicitDataSet::OutGradient[3]`[protected]`

| Definition at line 116 of file vtkImplicitDataSet.h.

float* vtkImplicitDataSet::Weights`[protected]`

| Definition at line 118 of file vtkImplicitDataSet.h.

int vtkImplicitDataSet::Size`[protected]`

| Definition at line 119 of file vtkImplicitDataSet.h.

The documentation for this class was generated from the following file:

- Filtering/vtkImplicitDataSet.h